//Version History
//3.1

#include <stdio.h>
//#include "lamelib\lame_main.h"
#include "pgplib\pgp.h"

int main(void)
{
	int argc;
	char *argv[6];
	int selection;

	printf( "1: Generate A New Key pair\n" );
	printf( "2: Encode & Encrypt\n" );
	printf( "3: Decrypt & Decode\n" );
	printf( "Please Enter Selection:\n" );
	scanf(	"%d", & selection );

	if( selection == 1 ){
		argc =  2;
		argv[ 1 ] = "-kg";
		pgp_main( argc, argv );
	}
	//Need another menu system to accept more LAME options
	if( selection == 2 ){
		argc  = 3;
		argv[ 1 ] = "../fpgauser/files/testcase.wav";
		argv[ 2 ] = "../fpgauser/files/testcase.mp3";

		argc = 6;
		argv[ 1 ] = "-e";
		argv[ 2 ] = "../fpgauser/files/testcase.mp3";
		argv[ 3 ] = "Deep3";
		argv[ 4 ] = "-o";
		argv[ 5 ] = "../fpgauser/files/EncryptedTestcase.dp3";
		pgp_main( argc, argv );
	}
	if( selection == 3 ){
		argc = 4;
		argv[ 1 ] = "../fpgauser/files/EncryptedTestcase.dp3";
		argv[ 2 ] = "-o";
		argv[ 3 ] = "../fpgauser/files/DecryptedTestcase.mp3";
		pgp_main( argc, argv );
		argc = 4;
		argv[ 1 ] = "--decode";
		argv[ 2 ] = "../fpgauser/files/DecryptedTestcase.mp3";
		argv[ 3 ] = "../fpgauser/files/DecryptedTestcase.wav";
	}
	return 0;
}